import { filterViewProps, filterTextProps, filterImageProps } from '../adapters';
describe('Base filter tests', function () {
    test('filterTextProps works', function () {
        expect(filterTextProps('foo')).toBeFalsy();
        expect(filterTextProps('children')).toBeTruthy();
        expect(filterTextProps('style')).toBeTruthy();
        expect(filterTextProps('accessible')).toBeTruthy();
    });
    test('filterViewProps works', function () {
        expect(filterViewProps('foo')).toBeFalsy();
        expect(filterViewProps('children')).toBeTruthy();
        expect(filterViewProps('style')).toBeTruthy();
        expect(filterViewProps('accessible')).toBeTruthy();
        expect(filterViewProps('animationClass')).toBeTruthy();
    });
    test('filterImageProps works', function () {
        expect(filterImageProps('foo')).toBeFalsy();
        expect(filterImageProps('children')).toBeTruthy();
        expect(filterImageProps('style')).toBeTruthy();
        expect(filterImageProps('accessible')).toBeTruthy();
    });
    test('verify win32 types', function () {
        var win32AdapterViewProps = {};
        // This assignment will fail if we are missing properties on IAdapterWin32ViewProps which are defined by Win32PlatformViewProps
        var win32PlatformViewProps = win32AdapterViewProps;
        expect(Object.keys(win32PlatformViewProps).length).toBe(0);
        // This assignment will fail if there are any extra properties on IAdapterWin32ViewProps which are not defined by Win32PlatformViewProps
        var emptyWin32ViewProps = {};
        expect(Object.keys(emptyWin32ViewProps).length).toBe(0);
        var win32AdapterTextProps = {};
        // This assignment will fail if we are missing properties on IAdapterWin32TextProps which are defined by Win32PlatformTextProps
        var win32PlatformTextProps = win32AdapterTextProps;
        expect(Object.keys(win32PlatformTextProps).length).toBe(0);
        // This assignment will fail if there are any extra properties on IAdapterWin32TextProps which are not defined by Win32PlatformTextProps
        var emptyWin32TextProps = {};
        expect(Object.keys(emptyWin32TextProps).length).toBe(0);
        var win32AdapterImageProps = {};
        // This assignment will fail if we are missing properties on IAdapterWin32ImageProps which are defined by Win32PlatformImageProps
        var win32PlatformImageProps = win32AdapterImageProps;
        expect(Object.keys(win32PlatformImageProps).length).toBe(0);
        // This assignment will fail if there are any extra properties on IAdapterWin32ImageProps which are not defined by Win32PlatformImageProps
        var emptyWin32ImageProps = {};
        expect(Object.keys(emptyWin32ImageProps).length).toBe(0);
    });
    test('verify windows types', function () {
        var windowsAdapterViewProps = {};
        // This assignment will fail if we are missing properties on IAdapterWindowsViewProps which are defined by WindowsPlatformViewProps
        var windowsPlatformViewProps = windowsAdapterViewProps;
        expect(Object.keys(windowsPlatformViewProps).length).toBe(0);
        // This assignment will fail if there are any extra properties on IAdapterWindowsViewProps which are not defined by WindowsPlatformViewProps
        var emptyWindowsViewProps = {};
        expect(Object.keys(emptyWindowsViewProps).length).toBe(0);
        var windowsAdapterTextProps = {};
        // This assignment will fail if we are missing properties on IAdapterWindowsTextProps which are defined by WindowsPlatformTextProps
        var windowsPlatformTextProps = windowsAdapterTextProps;
        expect(Object.keys(windowsPlatformTextProps).length).toBe(0);
        // This assignment will fail if there are any extra properties on IAdapterWindowsTextProps which are not defined by WindowsPlatformTextProps
        var emptyWindowsTextProps = {};
        expect(Object.keys(emptyWindowsTextProps).length).toBe(0);
        var windowsAdapterImageProps = {};
        // This assignment will fail if we are missing properties on IAdapterWindowsImageProps which are defined by WindowsPlatformImageProps
        var windowsPlatformImageProps = windowsAdapterImageProps;
        expect(Object.keys(windowsPlatformImageProps).length).toBe(0);
        // This assignment will fail if there are any extra properties on IAdapterWindowsImageProps which are not defined by WindowsPlatformImageProps
        var emptyWindowsImageProps = {};
        expect(Object.keys(emptyWindowsImageProps).length).toBe(0);
    });
    test('verify macOS types', function () {
        var macOSAdapterViewProps = {};
        // This assignment will fail if we are missing properties on IAdapterMacOSViewProps which are defined by MacOSPlatformViewProps
        var macOSPlatformViewProps = macOSAdapterViewProps;
        expect(Object.keys(macOSPlatformViewProps).length).toBe(0);
        // This assignment will fail if there are any extra properties on IAdapterMacOSViewProps which are not defined by MacOSPlatformViewProps
        var emptyMacOSViewProps = {};
        expect(Object.keys(emptyMacOSViewProps).length).toBe(0);
        var macOSAdapterTextProps = {};
        // This assignment will fail if we are missing properties on IAdapterMacOSTextProps which are defined by MacOSPlatformTextProps
        var macOSPlatformTextProps = macOSAdapterTextProps;
        expect(Object.keys(macOSPlatformTextProps).length).toBe(0);
        // This assignment will fail if there are any extra properties on IAdapterMacOSTextProps which are not defined by MacOSPlatformTextProps
        var emptyMacOSTextProps = {};
        expect(Object.keys(emptyMacOSTextProps).length).toBe(0);
        var macOSAdapterImageProps = {};
        // This assignment will fail if we are missing properties on IAdapterMacOSImageProps which are defined by MacOSPlatformImageProps
        var macOSPlatformImageProps = macOSAdapterImageProps;
        expect(Object.keys(macOSPlatformImageProps).length).toBe(0);
        // This assignment will fail if there are any extra properties on IAdapterMacOSImageProps which are not defined by MacOSPlatformImageProps
        var emptyMacOSImageProps = {};
        expect(Object.keys(emptyMacOSImageProps).length).toBe(0);
    });
});
//# sourceMappingURL=base.test.js.map